/**
 *    @file  clustercon.h
 *   @brief
 *
 *  <+DETAILED+>
 *
 *  @author  François Cerbelle (Fanfan), francois@cerbelle.net
 *
 *  @internal
 *       Created:  25/10/2024
 *      Revision:  none
 * Last modified:  2024-11-13 21:40
 *      Compiler:  gcc
 *  Organization:  Cerbelle.net
 *     Copyright:  Copyright (c) 2024, François Cerbelle
 *
 *  This source code is released for free distribution under the terms of the
 *  GNU General Public License as published by the Free Software Foundation.
 */

#ifndef __CLUSTERCON_H__
#define __CLUSTERCON_H__

#include "cJSON.h"
#include "cluster.h"

#include <openssl/ssl.h>

typedef struct rsclustercon_s rsclustercon_t;

rsclustercon_t* cluster_new(const cluster_t* cluster);
int             cluster_open(rsclustercon_t* rsclustercon);
cJSON*          cluster_queryget(const rsclustercon_t* rsclustercon, const char* endpoint);
void            cluster_close(rsclustercon_t* rsclustercon);
void            cluster_del(rsclustercon_t* rsclustercon);

#endif /* __CLUSTERCON_H__ */
/* vim: set tw=80: */
