/**
 *    @file  clusterlst.h
 *   @brief  Self initialized cluster records list (non thread-safe)
 *
 *  <+DETAILED+>
 *
 *  @author  François Cerbelle (Fanfan), francois@cerbelle.net
 *
 *  @internal
 *       Created:  25/10/2024
 *      Revision:  none
 * Last modified:  2024-11-19 18:29
 *      Compiler:  gcc
 *  Organization:  Cerbelle.net
 *     Copyright:  Copyright (c) 2024, François Cerbelle
 *
 *  This source code is released for free distribution under the terms of the
 *  GNU General Public License as published by the Free Software Foundation.
 */

#ifndef __CLUSTERLST_H__
#define __CLUSTERLST_H__

#include "cluster.h"

extern void (*clusterlist_add)(cluster_t* cluster);
extern cluster_t* (*clusterlist_find) (const char* host);
extern cluster_t* (*clusterlist_first)();
extern cluster_t* (*clusterlist_next)();
extern cluster_t* (*clusterlist_get)();

#endif /* __CLUSTERLST_H__ */
/* vim: set tw=80: */
